
select count(*)  FROM C3P_OWNER.PRIOR_CLAIMS_MAP

--@R2D2_MICRO  This database link works in data_2_gcp_lake project.
-- https://github.pinnacol.com/DataScience/data_2_gcp_lake
--  STAGE_DB_USERNAME: [stage, db-username]
--  STAGE_DB_PASSWORD: [stage, db-password]
--  STAGE_DB_DATABASE: [stage, db-name]
SELECT VAL_T.VALUATION_DATE,
        CLM.CLAIM_NUM,
        COUNT(DISTINCT(PRCLM.PRIOR_CLAIM_NUM)) AS NUM_PRIOR_CLAIMS
 FROM C3P_OWNER.PRIOR_CLAIMS_MAP    PRCLM,
      C3P_OWNER.CLAIM_FACT        CLM,
      C3P_OWNER.VALUATION_TIME_DIM  VAL_T,
      C3P_OWNER.TIME_DIM            T
WHERE (CLM.CLAIM_NUM = PRCLM.BASE_CLAIM_NUM (+)
    AND CLM.DATE_KEY = VAL_T.DATE_KEY
    AND CLM.ACCIDENT_DATE = T.DATE_KEY)
 AND ((VAL_T.CURRENT_MONTH_END_DATE_FLAG = 1
  AND T.YEAR BETWEEN 2015 AND 2018))
   AND rownum < 50
GROUP BY VAL_T.VALUATION_DATE,
       CLM.CLAIM_NUM
